summary refs log tree commit diff
path: root/lisc/test/go.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lisc/test/go.sh')
-rwxr-xr-xlisc/test/go.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/lisc/test/go.sh b/lisc/test/go.sh
index b65f2d2..7082db0 100755
--- a/lisc/test/go.sh
+++ b/lisc/test/go.sh
@@ -66,6 +66,23 @@ once() {
 		return 1
 	fi
 
+	if test -s $OUT
+	then
+		$BIN | diff - $OUT > /dev/null
+		RET=$?
+		REASON="output"
+	else
+		$BIN
+		RET=$?
+		REASON="return"
+	fi
+
+	if test $RET -ne 0
+	then
+		echo "[$REASON, fail]"
+		return 1
+	fi
+
 	echo "[ok]"
 }